org.fourthline.cling.binding.xml

## Interface DeviceDescriptorBinder

- All Known Implementing Classes:
    RecoveringUDA10DeviceDescriptorBinderImpl, UDA10DeviceDescriptorBinderImpl, UDA10DeviceDescriptorBinderSAXImpl

      public interface DeviceDescriptorBinder

  Reads and generates device descriptor XML metadata.
  Author:
    Christian Bauer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `buildDOM(Device device, RemoteClientInfo info, Namespace namespace)`
    `<T extends Device> T` | `describe(T undescribedDevice, Document dom)`
    `<T extends Device> T` | `describe(T undescribedDevice, String descriptorXml)`
    `String` | `generate(Device device, RemoteClientInfo info, Namespace namespace)`

- - ### Method Detail

    - #### describe

          <T extends Device> T describe(T undescribedDevice,
                                        String descriptorXml)
                                 throws DescriptorBindingException,
                                        ValidationException

      Throws:
        `DescriptorBindingException`
        `ValidationException`

    - #### describe

          <T extends Device> T describe(T undescribedDevice,
                                        Document dom)
                                 throws DescriptorBindingException,
                                        ValidationException

      Throws:
        `DescriptorBindingException`
        `ValidationException`

    - #### generate

          String generate(Device device,
                          RemoteClientInfo info,
                          Namespace namespace)
                   throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

    - #### buildDOM

          Document buildDOM(Device device,
                            RemoteClientInfo info,
                            Namespace namespace)
                     throws DescriptorBindingException

      Throws:
        `DescriptorBindingException`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.